/*---------------------------------------------------
-----------------------------------------------------
Filename:	init_appearance.m
Version:	2.2

Type:		maki/attrib definitions
Date:		28. Jun. 2007 - 22:08 
Author:		Martin Poehlmann aka Deimos
E-Mail:		martin@skinconsortium.com
Internet:	www.skinconsortium.com
		www.martin.deimos.de.vu
-----------------------------------------------------
Depending Files:
		scripts/mainmenu.maki
		scripts/visualizer.maki
		scripts/beatvisualization.maki
		scripts/shadesize.maki
		scripts/mcvcore.maki
-----------------------------------------------------
---------------------------------------------------*/

#ifndef included
#error This script can only be compiled as a #include
#endif

#include "gen_pageguids.m"

Function initAttribs_Appearance();

#define CUSTOM_PAGE_APPEARANCE "{F1036C9C-3919-47ac-8494-366778CF10F9}"


#define CUSTOM_PAGE_SONGTICKER "{7061FDE0-0E12-11D8-BB41-0050DA442EF4}"


Global ConfigAttribute songticker_scrolling_disabled_attrib;
Global ConfigAttribute songticker_style_modern_attrib;
Global ConfigAttribute songticker_style_old_attrib;




Global ConfigAttribute vis_reflection_attrib;
Global ConfigAttribute timer_reflection_attrib;
Global ConfigAttribute menubar_main_attrib;
Global configAttribute beatvis_attrib;
Global configAttribute artist_info_buttons_attrib;
Global ConfigAttribute pl_tab_attrib;
Global ConfigItem custom_page_appearance;
Global ConfigAttribute playlist_search_attrib;
Global ConfigAttribute Video_info_attrib;
Global ConfigAttribute File_info_anim_attrib;
Global ConfigAttribute FI_with_Coverflor;
Global ConfigAttribute Right_tab_pos;
Global ConfigAttribute findRepeat;
Global ConfigAttribute findShuffle;
initAttribs_Appearance()
{

	initPages();

	custom_page_appearance = addConfigSubMenu(optionsmenu_page, "Appearance", CUSTOM_PAGE_APPEARANCE);


	addMenuSeparator(custom_page_appearance);
	
	playlist_search_attrib = custom_page_appearance.newAttribute("Search in Playlist", "1");
    File_info_anim_attrib = custom_page_appearance.newAttribute("Smooth animation", "1");
	FI_with_Coverflor = custom_page_appearance.newAttribute("Two infoboxes in the playlist", "0");
	Video_info_attrib = custom_page_appearance.newAttribute("Video info on infobox", "0");
	addMenuSeparator(custom_page_appearance);
	pl_tab_attrib = custom_page_appearance.newAttribute("Album art on the tab panel", "1");
    Right_tab_pos = custom_page_appearance.newAttribute("Tab bar on the right", "0");
	
	findRepeat = config.getItemByGuid("{45F3F7C1-A6F3-4EE6-A15E-125E92FC3F8D}").getAttribute("Repeat");
	findShuffle = config.getItemByGuid("{45F3F7C1-A6F3-4EE6-A15E-125E92FC3F8D}").getAttribute("Shuffle");
	
	
	ConfigItem custom_page_songticker = addConfigSubMenu(optionsmenu_page, "Songticker", CUSTOM_PAGE_SONGTICKER);

	songticker_scrolling_disabled_attrib = custom_page_songticker.newAttribute("Disable Songticker Scrolling", "0");
	songticker_style_modern_attrib = custom_page_songticker.newAttribute("Modern Songticker Scrolling", "1");
	songticker_style_old_attrib = custom_page_songticker.newAttribute("Classic Songticker Scrolling", "0");
	
}