/*---------------------------------------------------
-----------------------------------------------------
Filename:	suicore.m
Version:	4.4

Type:		maki
Date:		02. Sep. 2007 - 17:35 
Author:		Martin Poehlmann aka Deimos
E-Mail:		martin@skinconsortium.com
Internet:	www.skinconsortium.com
		www.martin.deimos.de.vu

Note:		This script is based on drawer.m
		from Winamp Modern, but extended to
		4 components that can be closed!
		Like in drawer.m I warn everybody not 
		to modify this script, cause it can be
		harmed very fast! And you don't want
		a buggy winamp skin, want you?

		Since script version 3.1
		(onesie build #022)
		the script is devided into subscripts
		for better debugging.
-----------------------------------------------------
---------------------------------------------------*/



function init_SUICORE();
function unload_SUICORE();

#define FILE_NAME "suicore.m"

#define ML_GUID "{6B0EDF80-C9A5-11D3-9F26-00C04F39FFC6}"
#define VIS_GUID "{0000000A-000C-0010-FF7B-01014263450C}"
#define VIDEO_GUID "{F0816D7B-FFFC-4343-80F2-E8199AA15CC3}"

function switchToMl();
function switchToPl();

function switchToVideo();
function switchToVis();
function switchToBrw();

function switchToNoComp();
function switchFromNoComp();

function hideMl();
function showMl();

function hidePl();
function showPl();

function hideVis();
function showVis();
function showVideo();
function hideVideo();


function hideBrw();
function showBrw();


function onShowMl();
function onHideMl();
function onShowPl();
function onHidePl();

function onShowVis();
function onHideVis();

function onShowVideo();
function onHideVideo();

function onShowBrw();
function onHideBrw();
function onShowSUI();
function onHideSUI();

function onBeforeHideSUI();

function dc_showMl();
function dc_hideMl();
function dc_showPl();
function dc_hidePl();
function dc_showVis();
function dc_showVideo();
function dc_hideVis();
function dc_hideVideo();

function dc_showBrw();
function dc_hideBrw();
function updateSaving (int l);

function dc_showSUI();
function dc_closeSUI();

Global GuiObject sui_window;
Global Group sui_components;
Global Group sui_vis, sui_video, sui_ml, sui_pl, sui_brw;
Global WindowHolder sui_vis_wdh;
Global Button switch_ml, switch_pl, switch_video, switch_vis,  switch_brw ;
Global Button sui_Close;
Global Boolean bypasscancel;
Global Boolean showing_vis, hiding_vis, showing_video, hiding_video, showing_ml, hiding_ml, showing_pl, hiding_pl;
Global Boolean showing_brw, hiding_brw;

Global Boolean callback_showing_vis, callback_hiding_vis, callback_showing_video, callback_hiding_video, callback_showing_ml, callback_hiding_ml, callback_showing_pl, callback_hiding_pl;
Global Boolean callback_showing_brw, callback_hiding_brw;
Global Boolean callback_closing_sui, callback_showing_sui;
Global Layout SUInormal;
Global Container SUIContainer;
Global Boolean Mychange;
Global Int substract = 0;
Global string h;
Global Layout normal;
Global Container player;
Global Timer callbackTimer, tempDisable;


// init special handles for video
#include suicore/video_handles.m

// script loading/unloading goes here
#include suicore/load_handles.m

// open / hiding components not caused by button clicks
#include suicore/external_handles.m

// showing and hiding the components
#include suicore/show_hide.m



/** Button Clicks */

sui_Close.onLeftClick ()
{
	getContainer("SUI").hide();
}


switch_video.onLeftClick ()
{

	switchToVideo();
}

switch_vis.onLeftClick ()
{
	switchToVis();
}

switch_ml.onLeftClick ()
{

	switchToMl();
}

switch_pl.onLeftClick ()
{

	switchToPl();
}

switch_brw.onLeftClick ()
{

	switchToBrw();
}


/** Calls after comp is shown */

onShowMl()
{
	switch_ml.setActivated(1);
	switch_pl.setActivated(0);
	switch_vis.setActivated(0);
	switch_video.setActivated(0);
	switch_brw.setActivated(0);
	
	switch_ml.setXmlParam("ghost", "1");
	switch_pl.setXmlParam("ghost", "0");
	switch_video.setXmlParam("ghost", "0");
	switch_vis.setXmlParam("ghost", "0");
	switch_brw.setXmlParam("ghost", "0");

}
onHideMl() {
	//switch_ml.setXmlParam("ghost", "0");
}

onShowPl()
{
	switch_ml.setActivated(0);
	switch_pl.setActivated(1);
	switch_vis.setActivated(0);
	switch_video.setActivated(0);
	switch_brw.setActivated(0);
	switch_ml.setXmlParam("ghost", "0");
	switch_pl.setXmlParam("ghost", "1");
	switch_video.setXmlParam("ghost", "0");
	switch_vis.setXmlParam("ghost", "0");
	switch_brw.setXmlParam("ghost", "0");
	//--switch_Cfg.setActivated(0);
}
onHidePl() {
	//switch_ml.setXmlParam("ghost", "0");
}

onShowVis()
{
	switch_ml.setActivated(0);
	switch_pl.setActivated(0);
	switch_vis.setActivated(1);
	switch_video.setActivated(0);
	switch_brw.setActivated(0);
	//--switch_exp.setActivated(0);
	switch_vis.setXmlParam("ghost", "1");
	switch_video.setXmlParam("ghost", "0");
	switch_ml.setXmlParam("ghost", "0");
	switch_pl.setXmlParam("ghost", "0");
	switch_brw.setXmlParam("ghost", "0");
	//hideNamedWindow(ML_GUID);
	//--switch_Cfg.setActivated(0);
}

onHideVis() {
	//switch_vis.setXmlParam("ghost", "0");
}

onShowVideo()
{
	switch_ml.setActivated(0);
	switch_pl.setActivated(0);
	switch_vis.setActivated(0);
	switch_video.setActivated(1);
	switch_brw.setActivated(0);

	switch_video.setXmlParam("ghost", "1");
	switch_vis.setXmlParam("ghost", "0");
	switch_ml.setXmlParam("ghost", "0");
	switch_pl.setXmlParam("ghost", "0");
	switch_brw.setXmlParam("ghost", "0");
	
}
onHideVideo() {
	//switch_video.setXmlParam("ghost", "0");
}

onShowBrw()
{
	switch_ml.setActivated(0);
	switch_pl.setActivated(0);
	switch_vis.setActivated(0);
	switch_video.setActivated(0);
	switch_brw.setActivated(1);
	
	switch_brw.setXmlParam("ghost", "1");
	switch_vis.setXmlParam("ghost", "0");
	switch_ml.setXmlParam("ghost", "0");
	switch_pl.setXmlParam("ghost", "0");
	switch_video.setXmlParam("ghost", "0");
	
}

onHideBrw()
{
	//switch_brw.setXmlParam("ghost", "0");
}


onShowSUI ()
{
	
	sui_window.sendAction("callback", "onshowsui", 0,0,0,0);
	
}

onHideSUI ()
{

}

onBeforeHideSUI ()
{

	sui_window.sendAction("callback", "onbeforehidesui", 0,0,0,0);
	
}



