/*---------------------------------------------------
-----------------------------------------------------
Filename:	external_handles.m

Type:		maki
Author:		Martin Poehlmann aka Deimos
E-Mail:		martin@skinconsortium.com
Internet:	www.skinconsortium.com
		www.martin.deimos.de.vu
-----------------------------------------------------
Depending Files:
		scripts/suicore.maki
-----------------------------------------------------
---------------------------------------------------*/

#ifndef included
#error This script can only be compiled as a #include
#endif


//----------------------------------------------------------------------------------------------------------------
// The main component switching as triggered by user menus, keyboard shortcuts, etc
//----------------------------------------------------------------------------------------------------------------

System.onGetCancelComponent(String guid, boolean goingvisible) {
	
	Boolean isShade = (player.getCurLayout() != normal);

	// Do Playlist Stuff First (is unlinked from SUI)



	// Now we detect if suicore is already performing an action - if so we will return.

	if (bypasscancel)
	{
		return FALSE;
	}
	if (guid == ML_GUID && !goingvisible && hiding_ml)
	{
		return FALSE;
	}
	if (guid == VIDEO_GUID && !goingvisible && hiding_video)
	{
		return FALSE;
	}
	if (guid == VIS_GUID && !goingvisible && hiding_vis)
	{
		return FALSE;
	}

	if (guid == ML_GUID && goingvisible && showing_ml)
	{
		return FALSE;
	}
	if (guid == VIDEO_GUID && goingvisible && showing_video)
	{
		return FALSE;
	}
	if (guid == VIS_GUID && goingvisible && showing_vis)
	{
		return FALSE;
	}


	// Let's get our current Content

	String window_content =  getPrivateString(getSkinName(), "Component", "Media Library");

	// If a window wants to hide but we are still in collapsed mode - return
	if (!goingvisible && window_content == "Hidden")
	{
		return FALSE;
	}

	// All comps that want to be shown
	if (goingvisible) {
		if (guid == VIDEO_GUID && (window_content != "Video" || isShade)) {

			hideBrw();
			hideVis();
			hideMl();
			hidePL();

	        if (isShade)
			{
				sui_video.hide();
				player.switchToLayout("normal");
				
			}
			if (window_content == "Hidden")
			{
				setPrivateString(getSkinName(), "Hidden Component", "Video");
				dc_showSUI ();
				return TRUE;
			}

			dc_showVideo();

			return TRUE;
			
		} else if (guid == VIS_GUID && (window_content != "Vis" || isShade)) {

			if (vis_detach_attrib.getData() == "1")
			{
				getContainer("VISCON").show(); 
				VISCON_COMPONENT_VIS.setXmlParam("autoopen", "1");
				VISCON_COMPONENT_VIS.setXmlParam("autoopen", "0");
				return false;
			}


			disablePSOVC();
			hideVideo();
			hideMl();
	
			hideBrw();
			hidePL();
			
			if (isShade)
			{
				sui_vis.hide();
				player.switchToLayout("normal");
			}
			
			
			if (window_content == "Hidden")
			{
				setPrivateString(getSkinName(), "Hidden Component", "Vis");
				dc_showSUI ();
				return TRUE;
			}
			VISCON_COMPONENT_VIS.setXmlParam("autoopen", "0");
			showVis();
			VISCON_COMPONENT_VIS.setXmlParam("autoopen", "1");
			return FALSE;
			
		}
			
			
		 else if (guid == ML_GUID && (window_content != "Media Library" || isShade)) {
	

			if (isShade)
			{
				sui_ml.hide();
				player.switchToLayout("normal");
			}

		

			disablePSOVC();
			hideVideo();
			hideVis();
			hidePL();
		
			hideBrw();
			
			if (window_content == "Hidden")
			{
				setPrivateString(getSkinName(), "Hidden Component", "Media Library");
				dc_showSUI ();
				return TRUE;
			}
			dc_showMl();

			return TRUE;
		}
	}
	
	// All comps that want to be hidden
	if (!goingvisible) {
			if (guid == VIDEO_GUID && (window_content != "Video" || isShade)) {
			
			hideBrw();
			hideVis();
			hideMl();
			hidePL();


			if (isShade)
			{
			
				player.switchToLayout("normal");
			}


			if (window_content == "Hidden")
			{
				setPrivateString(getSkinName(), "Hidden Component", "Video");
				dc_showSUI ();
				return TRUE;
			}

			dc_showVideo();

			return TRUE;
		}
		
		
		
		if (guid == VIS_GUID && window_content == "Vis") {
			if (vis_detach_attrib.getData() == "1")
			{
				return FALSE;
			}
			if (getStatus() != STATUS_STOPPED && system.isVideo())
			{
				
				switchToVideo();
			} 
			else 
			{
		
				switchToMl(); 
			}
		    
			return FALSE;
		}
		

		if (guid == ML_GUID && window_content == "Media Library") {
		
				hideMl();
				hideVis();
				hideBrw();
				hidePL();
				hideVideo();
	
		
               getContainer("SUI").hide();
			   return false;
		}
	}

	return FALSE;
}


//----------------------------------------------------------------------------------------------------------------
// the sui window can recieve messages from other scripts (mainly: fileinfo.maki) - we handle this here
//----------------------------------------------------------------------------------------------------------------






sui_window.onAction (String action, String param, Int x, int y, int p1, int p2, GuiObject source)
{
	
	if (strlower(action) == "albumart")
	{
		
			if (Sui_AArt.getXmlParam("source") == param && sui_pl.isVisible())
			{ 
				getContainer("SUI").hide();
				return;
			} 
	
			Sui_AArt.setXmlParam("source", param);

			switchToPl();
			getContainer("SUI").show();
			return; 

	
    }
	
	else if (strlower(action) == "opentab")
	{
		if (strlower(param) == "pe")
		{ 	
			if (sui_pl.isVisible())
			{
				getContainer("SUI").show();
				switchToMl();
				return;
			}
			
			else if (sui_ml.isVisible())
			{ 
				getContainer("SUI").hide();
				return;
			} 
			switchToPl();
			getContainer("SUI").show();
			return; 
		}
		
		else if (strlower(param) == "vd")
		{ 
			if (sui_video.isVisible())
			{
				getContainer("SUI").hide();
				return;
			}
			
			else 
			{ 
				switchToVideo();
				getContainer("SUI").show();
				return;
			}
		}
		
		else if (strlower(param) == "ml")
		{ 	
			if (sui_ml.isVisible())
			{
				getContainer("SUI").hide();
				return;
			}
			
			else 
			{ 
				switchToMl();
				getContainer("SUI").show();
				return;
			}
		}
		
		else if (strlower(param) == "br")
		{ 
			if (sui_brw.isVisible())
			{
				getContainer("SUI").hide();
				return;
			}
			
			else 
			{ 
				switchToBrw();
				getContainer("SUI").show();
				return;
			}
		}
	
		else if (strlower(param) == "vs")
		{
			if (vis_detach_attrib.getData() == "1")
			{
				if (VISCON_COMPONENT_GP.isVisible())
				{
					setPrivateString(getSkinName(), "VicConComponent", "Close") ;
					getContainer("VISCON").close();
					return;
				}
		
				else 
				{ 	
					setPrivateString(getSkinName(), "VicConComponent", "Open") ;
					VISCON_COMPONENT_VIS.setXmlParam("autoopen", "1");
					getContainer("VISCON").show(); 
					VISCON_COMPONENT_VIS.setXmlParam("autoopen", "0");

					return;
				}
			}
			
			if (sui_vis.isVisible())
			{
				getContainer("SUI").hide();
				return;
			}
			
			else 
			{ 
				switchToVis();
				getContainer("SUI").show();
				return;
			}
		}
	}
}


//----------------------------------------------------------------------------------------------------------------
// Switching Vis Plugin between VW and SUI
//----------------------------------------------------------------------------------------------------------------
vis_detach_attrib.onDataChanged ()
{
	
    if (vis_detach_attrib.getData() == "1")		
	{		
		updateTabPos(); 
		if (getStatus() != STATUS_STOPPED && system.isVideo())
		{	
			hideMl();
			hideVis();
			hidePL();
			hideBrw();
			dc_showVideo();
		} 
		else 
		{
			hideVideo();
			hideVis();
			hideBrw();
			hidePL();
			dc_showMl(); // normal Component
		}
		
		if (VISCON_COMPONENT_GP.isVisible())
		{
			setPrivateString(getSkinName(), "VicConComponent", "Close") ;
			getContainer("VISCON").hide();
			return;
		}
			
		else 
		{ 
			setPrivateString(getSkinName(), "VicConComponent", "Open") ;
			visopend.start();
        
			return;
		}
	        
    }
	else 
	{ 
		
		setPrivateString(getSkinName(), "VicConComponent", "Close") ;
		getContainer("VISCON").close();
		setPrivateString(getSkinName(), "Component", "Vis");
		visopend.start();
        return;
	}
}

