/*---------------------------------------------------
-----------------------------------------------------
Filename:	show_hide.m

Type:		maki
Author:		Martin Poehlmann aka Deimos
E-Mail:		martin@skinconsortium.com
Internet:	www.skinconsortium.com
		www.martin.deimos.de.vu
-----------------------------------------------------
Depending Files:
		scripts/suicore.maki
-----------------------------------------------------
---------------------------------------------------*/

#ifndef included
#error This script can only be compiled as a #include
#endif

switchToMl()
{
	if (callbackTimer.isRunning()) return;
	if (tempDisable.isRunning()) return;
	tempDisable.start();
	disablePSOVC();
	hideVis();
	hideVideo();
	hidePL();
	
	hideBrw();

	if (!startup) showMl();
	else
	{
		dc_showMl();
		onshowMl();
	}
}

switchToPl()
{
	if (callbackTimer.isRunning()) return;
	if (tempDisable.isRunning()) return;
	tempDisable.start();
	disablePSOVC();
	hideVis();
	hideVideo();
	hideML();

	hideBrw();
	dc_showPl();
	onshowPl();
	
}


switchToVideo()
{
	if (callbackTimer.isRunning()) return;
	if (tempDisable.isRunning()) return;
	tempDisable.start();
	hideMl();
	hidePL();
	hideVis();
	hideBrw();
    showVideo();
}


switchToVis()
{
	if (callbackTimer.isRunning()) return;
	if (tempDisable.isRunning()) return;
	tempDisable.start();
	disablePSOVC();
	hideMl();
	hidePL();
	hideVideo();
	hideBrw();
	showVis();
}

switchToBrw()
{
	if (callbackTimer.isRunning()) return;
	if (tempDisable.isRunning()) return;
	tempDisable.start();
	disablePSOVC();
	hideVis();
	hidePL();
	hideVideo();
	hideMl();
	showBrw();
}

switchToNoComp ()
{
	if (callbackTimer.isRunning()) return;
	if (tempDisable.isRunning()) return;
	tempDisable.start();
	disablePSOVC();

	onBeforeHideSUI();

	hideVis();
	hideVideo();
	hideMl();
	hidePL();
	hideBrw();

	string comp = getPrivateString(getSkinName(), "Component", "Media Library");
	if (comp != "Hidden")
	{
		SUInormal.sendAction("sui", "tonocomp", 0,0,0,0);
		setPrivateString(getSkinName(), "Hidden Component", comp);
		setPrivateString(getSkinName(), "Component", "Hidden");
	}
	else SUInormal.sendAction("sui", "tonocomp", 1,0,0,0);
	
	onHideSUI();
}


switchFromNoComp ()
{
	if (callbackTimer.isRunning()) return;
	if (tempDisable.isRunning()) return;

	string comp = getPrivateString(getSkinName(), "Hidden Component", "Media Library");
	setPrivateString(getSkinName(), "Component", comp);

	
	SUInormal.redock();
	loadSUI (comp);

	onShowSUI();
}

tempDisable.onTimer()
{
	tempDisable.stop();
}

showMl()
{

	showing_ml = 1;
	setPrivateString(getSkinName(), "Component", "Media Library");
	GuiObject o = sui_ml;
	if (o != NULL)
	{ 
		bypasscancel = 1;
		if (o) o.show();
		bypasscancel = 0;
	}

	onShowMl();
	showing_ml = 0;
}

hideMl()
{
	callback_showing_ml = 0;

	hiding_ml = 1;
	GuiObject o = sui_ml;
	if (o != NULL) { 
		bypasscancel = 1;
		if (o) o.hide();
		bypasscancel = 0;
	
	}
	onHideMl();
	hiding_ml = 0;

}

showPl()
{
	showing_pl = 1;
	setPrivateString(getSkinName(), "Component", "Pledit");
	GuiObject o = sui_pl;
	if (o != NULL)
	{ 
		bypasscancel = 1;
		if (o) o.show();
		bypasscancel = 0;
	}
	onShowPl();
	showing_pl = 0;
}

hidePl()
{
	callback_showing_pl = 0;
	
	hiding_pl = 1;
	GuiObject o = sui_pl;
	if (o != NULL) { 
		bypasscancel = 1;
		if (o) o.hide();
		bypasscancel = 0;

	}
	
	onHidePl();
	hiding_pl = 0;
}

showVis()
{
	
	if (vis_detach_attrib.getData() == "0")
	{

		showing_vis = 1;
		setPrivateString(getSkinName(), "Component", "Vis");
		GuiObject o = sui_vis;
		if (o != NULL)
		{ 
			bypasscancel = 1;
			if (o) o.show();
			bypasscancel = 0;
		}
		onShowVis();
		showing_vis = 0;
	}
}

hideVis()
{

	callback_showing_vis = 0;

	hiding_vis = 1;
	GuiObject o = sui_vis;
	if (o != NULL) { 
		bypasscancel = 1;
		if (o) o.hide();
		bypasscancel = 0;
	}
	
	onHideVis();
	hiding_vis = 0;
}

showVideo()
{

	showing_video = 1;
	setPrivateString(getSkinName(), "Component", "Video");
	GuiObject o = sui_video;
	if (o != NULL)
	{ 
		bypasscancel = 1;
		if (o) o.show();
		bypasscancel = 0;
	
	}

	onShowVideo();
	showing_video = 0;

}

hideVideo()
{
	//callback_showing_video = 0;
	
	hiding_video = 1;
	GuiObject o = sui_video;
	if (o != NULL) { 
		bypasscancel = 1;
		if (o) o.hide();
		bypasscancel = 0;
	}

	onHideVideo();
	hiding_video = 0;

}

showBrw()
{

	showing_brw = 1;
	setPrivateString(getSkinName(), "Component", "Browser");
	GuiObject o = sui_brw;
	if (o != NULL)
	{ 
		bypasscancel = 1;
		if (o) o.show();
		bypasscancel = 0;

	}

	onShowBrw();
	showing_brw = 0;
}

hideBrw()
{
	callback_showing_brw = 0;
	
	hiding_brw = 1;
	GuiObject o = sui_brw;
	if (o != NULL) { 
		bypasscancel = 1;
		if (o) o.hide();
		bypasscancel = 0;
	
	}

	onHideBrw();
	hiding_brw = 0;

}

callbackTimer.onTimer()
{
	callbackTimer.stop();

	int _callback_showing_vis = callback_showing_vis;
	int _callback_hiding_vis = callback_hiding_vis;
	int _callback_showing_video = callback_showing_video;
	int _callback_hiding_video = callback_hiding_video;
	int _callback_showing_ml = callback_showing_ml;
	int _callback_hiding_ml = callback_hiding_ml;
	int _callback_showing_pl = callback_showing_pl;
	int _callback_hiding_pl = callback_hiding_pl;	

	int _callback_showing_brw = callback_showing_brw;
	int _callback_hiding_brw = callback_hiding_brw;
	int _callback_showing_sui = callback_showing_sui;
	int _callback_closing_sui = callback_closing_sui;

	callback_showing_vis = 0;
	callback_hiding_vis = 0;
	callback_showing_video = 0;
	callback_hiding_video = 0;
	callback_showing_ml = 0;
	callback_hiding_ml = 0;
	callback_showing_pl = 0;
	callback_hiding_pl = 0;

	callback_showing_brw = 0;
	callback_hiding_brw = 0;

	callback_showing_sui = 0;
	callback_closing_sui = 0;

	if (_callback_showing_ml == 1)
	{
		showMl();
	}
	if (_callback_hiding_ml == 1)
	{
		hideMl();
	}
	if (_callback_showing_pl == 1)
	{
		showPl();
	}
	if (_callback_hiding_pl == 1)
	{
		hidePl();
	}
	if (_callback_showing_video == 1)
	{
		showVideo();
	}
	if (_callback_showing_vis == 1)
	{
		showVis();
	}
	if (_callback_hiding_vis == 1)
	{
		hideVis();
	}
	if (_callback_hiding_video == 1)
	{
		hideVideo();
	}
	if (_callback_showing_brw == 1)
	{
		showBrw();
	}
	if (_callback_hiding_brw == 1)
	{
		hideBrw();
	}
	if (_callback_showing_SUI == 1)
	{
		switchFromNoComp();
	}
	if (_callback_closing_SUI == 1)
	{
		switchToNoComp();
	}
}

dc_showMl()
{
	callback_showing_ml = 1;
	callback_hiding_ml = 0;
	callbackTimer.start();
}

dc_hideMl()
{
	callback_showing_ml = 0;
	callback_hiding_ml = 1;
	callbackTimer.start();
}

dc_showPl()
{
	callback_showing_pl = 1;
	callback_hiding_pl = 0;
	callbackTimer.start();
}

dc_hidePl()
{
	callback_showing_pl = 0;
	callback_hiding_pl = 1;
	callbackTimer.start();
}

dc_showVideo()
{
	callback_showing_video = 1;
	callback_hiding_video = 0;
	callbackTimer.start();
}

dc_showVis()
{
	callback_showing_vis = 1;
	callback_hiding_vis = 0;
	callbackTimer.start();
}

dc_hideVideo()
{
	callback_showing_video = 0;
	callback_hiding_video = 1;
	callbackTimer.start();
}

dc_hideVis()
{
	callback_showing_vis = 0;
	callback_hiding_vis = 1;
	callbackTimer.start();
}

dc_showBrw()
{
	callback_showing_brw = 1;
	callback_hiding_brw = 0;
	callbackTimer.start();
}

dc_hideBrw()
{
	callback_showing_brw = 0;
	callback_hiding_brw = 1;
	callbackTimer.start();
}

dc_showSUI()
{
	callback_showing_sui = 1;
	callback_closing_sui = 0;
	callbackTimer.start();
}

dc_closeSUI()
{
	callback_showing_sui = 0;
	callback_closing_sui = 1;
	callbackTimer.start();
}